#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QGridLayout>
#include <QMenuBar>
#include <QTreeWidget>
#include <QFileDialog>
#include <QFile>
#include <QXmlSimpleReader>
#include <QTextEdit>
#include <QDockWidget>
#include <QTableView>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void Close_the_window();
    void Clearing();
    void Processing_Query();
    void Open_the_file();
    void Open_Query();
    void Custom_menu(const QPoint&);
    void Refer_to();
    void Close_the_file();

private:
    Ui::MainWindow *ui;
    QTreeWidget* treeWidget;
    QWidget* mainWidget;
    QTextEdit* textEdit;
    QTextEdit* textEditForDock;
    QDockWidget* dock;
    QTableView* for_contextMenu;
    QGridLayout *mainLayout;
    QMenu* menuCustom;
    QFile* $file;
    QTreeWidgetItem* $pos;
};
#endif // MAINWINDOW_H
